Bug 790914 - OpenLDAP 2.4.23 segfaults when using back-sql
OpenLDAP 2.4.23 segfaults when using back-sql
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openldap (Show other bugs)
6.1
All Linux
urgent Severity high
: rc
: ---
Assigned To: Jan Synacek
BaseOS QE Security Team
: ZStream
Depends On: 727533
Blocks: 788730
  Show dependency treegraph
 
Reported: 2012-02-15 12:31 EST by RHEL Product and Program Management
Modified: 2012-06-26 12:32 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, OpenLDAP used incorrect data types for storing the length of the values used by the ODBC (Open Database Connectivity) interface in the SQL back end implementation. As a consequence, the LDAP server terminated unexpectedly with a segmentation fault after a few operations. This update modifies the code to use the correct data types so that the LDAP server no longer crashes when using the SQL back end.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-05 03:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2012-02-15 12:31:01 EST
This bug has been copied from bug #727533 and has been proposed
to be backported to 6.1 z-stream (EUS).
Comment 7 Miroslav Svoboda 2012-03-15 09:28:37 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, OpenLDAP used incorrect data types for storing the length of the values used by the ODBC (Open Database Connectivity) interface in the SQL back end implementation. As a consequence, the LDAP server terminated unexpectedly with a segmentation fault after a few operations. This update modifies the code to use the correct data types so that the LDAP server no longer crashes when using the SQL back end.
Comment 10 errata-xmlrpc 2012-04-05 03:12:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0453.html

Note You need to log in before you can comment on or make changes to this bug.